Users running a non-download version of Vanilla (pulled from github), on branch release/2019.016 or master from the last 2 weeks should upgrade to release/2019.017 or latest master for security reasons. Downloaded official open sources releases are not affected.
Please upgrade here. These earlier versions are no longer being updated and have security issues.

My Newly Installed Vanilla 2 is down

Hello!

I just installed Vanilla 2.2 on my hosting. Everything went smooth. My only fault was, I didn't checked the forum before installing plugins.

I was so excited to upload and activate some plugins. But then I noticed that my site is down.... Below is the error message I got when trying to view the frontend:

Something has gone wrong.

We've run into a problem and are unable to handle this request right now.
Please check back in a little while.

I have no clue how to fix this. Admin Panel/Dashboard is working good. It just the frontend that having trouble.

The theme I used was Bitter Sweet.

The activated plugins are:

  • Button Bar
  • Discussion Photos
  • Emoji Sets
  • In This Discussion
  • MCHeads Minecraft Heads
  • MCServer
  • Private Community
  • Profile Extender
  • Quotes
  • Van2Shout
  • Vanilla Statistics
  • Vanillicon

I wanted to enable Advanced Editor but I got another Error:
The addon could not be enabled because it generated a fatal error: Table 'earthwal_vf1.vf_UserCategory' doesn't exist

Forum link is : http://earthwalkermc.net/

Tagged:

Comments

  • R_JR_J Cheerleader & Troubleshooter Munich Moderator

    As far as I can see your forum isn't down.

    The error message you've reported isn't the real error. Please add $Configuration['Debug'] = TRUE; to the /conf/config.php file and report which is error is shown after you've added this line and reloaded the page in your browser.


  • edited February 2016

    @R_J said:
    As far as I can see your forum isn't down.

    The error message you've reported isn't the real error. Please add $Configuration['Debug'] = TRUE; to the /conf/config.php file and report which is error is shown after you've added this line and reloaded the page in your browser.

    Oh I see. I have done editing the config and I think this is what you're asking:

    Debug Trace

    Notice urlencode() expects parameter 1 to be string, array given in /home/earthwalkermc/public_html/library/core/class.proxyrequest.php line 399

    Edit:

    And on that line it shows:

    $this->action("Parameters: ".print_r($PostData, true));

  • R_JR_J Cheerleader & Troubleshooter Munich Moderator

    Try if disabling Vanilla Statistics helps


  • Tried disabling Statistics, still bonk.

    So I went ahead and disabled all plugins and themes. Still bonk.

    I tried adding categories to populate the forum, I noticed the debug message:

    Notice Undefined property: stdClass::$Photo in /home/earthwalkermc/public_html/applications/vanilla/views/settings/managecategories.php line 109

    When I tried to click Add Category, it went bonk.

  • R_JR_J Cheerleader & Troubleshooter Munich Moderator

    If you've reset basically all settings and the error remains, I'd say that one or more of the core files are corrupt. Try to re-upload all Vanilla standard files. If you've made changes to the .htaccess file you would have to create a copy, but overwriting all other files is save.


  • @R_J said:
    Snip

    Which is better? V 2.2 or V2.1? I am thinking 2.1 maybe more stable than 2.2 and has a better compatibility with plugins.

    But anyway, I decided to reinstall too. Thanks a lot for the help in assisting me here.

  • Update:

    I reinstalled Vanilla using the one from here and now it all works fine. Seems like the one from my host's installer is corrupted and faulty.

    R_J
  • R_JR_J Cheerleader & Troubleshooter Munich Moderator

    Vanilla 2.1 has security issues. So it should be no question which version to install.


    tristankhalilhgtonight
Sign In or Register to comment.